Bug 1093276 (CVE-2014-0364) - CVE-2014-0364 smack: IQ response spoofing
Summary: CVE-2014-0364 smack: IQ response spoofing
Status: CLOSED ERRATA
Alias: CVE-2014-0364
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140131,repor...
Keywords: Security
Depends On: 1093277 1093463 1093464 1093465
Blocks: 1093278 1114455 1232965
TreeView+ depends on / blocked
 
Reported: 2014-05-01 06:53 UTC by Murray McAllister
Modified: 2019-06-11 11:13 UTC (History)
14 users (show)

(edit)
It was found that the ParseRoster component in the Smack XMPP API did not verify the From attribute of a roster-query IQ stanza. A remote attacker could use this flaw to spoof IQ responses.
Clone Of:
(edit)
Last Closed: 2019-06-08 02:32:55 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0818 normal SHIPPED_LIVE Important: Red Hat JBoss BRMS 6.0.2 update 2014-07-01 00:51:53 UTC
Red Hat Product Errata RHSA-2014:0819 normal SHIPPED_LIVE Important: Red Hat JBoss BPM Suite 6.0.2 update 2014-07-01 00:51:46 UTC
Red Hat Product Errata RHSA-2015:1176 normal SHIPPED_LIVE Important: Red Hat JBoss Fuse 6.2.0 update 2015-06-23 20:52:52 UTC

Description Murray McAllister 2014-05-01 06:53:10 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2014-0364 to
the following vulnerability:

Name: CVE-2014-0364
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0364
Assigned: 20131205
Reference: http://community.igniterealtime.org/blogs/ignite/2014/04/17/asmack-400-rc1-has-been-released
Reference: CERT-VN:VU#489228
Reference: http://www.kb.cert.org/vuls/id/489228

The ParseRoster component in the Ignite Realtime Smack XMPP API before
4.0.0-rc1 does not verify the from attribute of a roster-query IQ
stanza, which allows remote attackers to spoof IQ responses via a
crafted attribute.

It is not clear whether this flaw affects the version of smack in Fedora. Both of these look to be needed to complete the fix:

http://issues.igniterealtime.org/browse/SMACK-533
http://issues.igniterealtime.org/browse/SMACK-538

Comment 1 Murray McAllister 2014-05-01 06:54:59 UTC
Created smack tracking bugs for this issue:

Affects: fedora-all [bug 1093277]

Comment 3 errata-xmlrpc 2014-06-30 20:52:17 UTC
This issue has been addressed in following products:

  JBoss BPM Suite 6.0.2

Via RHSA-2014:0819 https://rhn.redhat.com/errata/RHSA-2014-0819.html

Comment 4 errata-xmlrpc 2014-06-30 20:52:54 UTC
This issue has been addressed in following products:

  JBoss BRMS 6.0.2

Via RHSA-2014:0818 https://rhn.redhat.com/errata/RHSA-2014-0818.html

Comment 6 Fedora Update System 2015-01-11 10:57:36 UTC
smack-4.0.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2015-06-23 16:53:03 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse 6.2.0

Via RHSA-2015:1176 https://rhn.redhat.com/errata/RHSA-2015-1176.html


Note You need to log in before you can comment on or make changes to this bug.